gnutls_set_default_priority_append(3)

NAME
gnutls_set_default_priority_append - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_set_default_priority_append(gnutls_session_t session, const char * add_prio, const char ** err_pos, unsigned flags);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

const char * add_prio
    is a string describing priorities to be appended to default

const char ** err_pos
    In case of an error this will have the position in the string the error occurred

unsigned flags
    must be zero

DESCRIPTION
Sets the default priority on the ciphers, key exchange methods, and macs with the additional options in add_prio . This is the recommended method of setting the defaults when only few additional options are to be added. This promotes consistency between applications using GnuTLS, and allows GnuTLS using applications to update settings in par with the library.

The add_prio string should start as a normal priority string, e.g., with ':'.

To allow a user to override the defaults (e.g., when a user interface or configuration file is available), the functions gnutls_priority_set_direct() or gnutls_priority_set() can be used.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

SINCE
3.6.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/